explain_mktemp_or_die(3)

NAME
explain_mktemp_or_die - make a unique temporary filename and report errors

SYNOPSIS
#include <libexplain/mktemp.h>

char *explain_mktemp_or_die(char *pathname);
char *explain_mktemp_on_error(char *pathname);

DESCRIPTION
The explain_mktemp_or_die function is used to call the mktemp(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_mktemp(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_mktemp_on_error function is used to call the mktemp(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_mktemp(3) function, but still returns to the caller.

pathname
    The pathname, exactly as to be passed to the mktemp(3) system call.

RETURN VALUE
The explain_mktemp_or_die function only returns on success, see mktemp(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_mktemp_on_error function always returns the value return by the wrapped mktemp(3) system call.

EXAMPLE
The explain_mktemp_or_die function is intended to be used in a fashion similar to the following example:
    char *result = explain_mktemp_or_die(pathname);

SEE ALSO

mktemp(3)
    make a unique temporary filename

explain_mktemp(3)
    explain mktemp(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2010 Peter Miller